<?php
require_once 'sql.php';
require_once 'config.php';

if(isset($_GET['id'])){
    $id = $_GET['id'];
    $sql_select = "SELECT * FROM `recupe` WHERE `token`='$id' AND data > NOW()";
    $resultado = mysql_query($sql_select);
    $registro = mysql_fetch_assoc($resultado);
    $id_user = $registro['id_user'];
    $sql_select_user = "SELECT * FROM `user` WHERE `id`='$id_user'";
    $resultado_user = mysql_query($sql_select_user);
    //caso tenha no banco de dados ele ira trocar a senha
    if (mysql_num_rows($resultado) == 1){
        $registro_user = mysql_fetch_assoc($resultado);
        
        $email = $registro_user['email'];
        $password = geraToken();
        $senha = hash("whirlpool",$password);
        $sql = "UPDATE `user` SET `password` = '$senha' WHERE `id` = $id_user";
        $query = mysql_query($sql);
        $mudar = "DELETE FROM `recupe` where token='$id'";
        mysql_query($mudar);
        //envia o email de boas vindas
        //$fopen = fopen('html_recuperacao.txt','r');
        //$fread = fread($fopen,filesize('html_recuperacao.txt'));
        
        echo '<h3>Sua senha foi alterada com sucesso favor anota-la: '.$password.'</h3> <h2><a href="login.php">>login<</a></h2>';
    }
}
function geraToken($tamanho = 8, $maiusculas = true, $numeros = true, $simbolos = false) {
	$lmin = '';
	$lmai = 'ABCDEFGHIJKLMNPQRSTUVWXYZ';
	$num = '123456789';
	$simb = '';
	$retorno = '';
	$caracteres = '';
	
	$caracteres .= $lmin;
	if ($maiusculas) $caracteres .= $lmai;
	if ($numeros) $caracteres .= $num;
	if ($simbolos) $caracteres .= $simb;
	
	$len = strlen($caracteres);
	for ($n = 1; $n <= $tamanho; $n++) {
	$rand = mt_rand(1, $len);
	$retorno .= $caracteres[$rand-1];
	}
	return $retorno;
}
?>